> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /courtlistener/financial-disclosures/search

> List judicial financial disclosures, optionally filtered by judge

**Price:** 1 credit per 20 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/courtlistener/financial-disclosures/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/courtlistener/financial-disclosures/search:
    post:
      tags:
        - /courtlistener
      summary: /courtlistener/financial-disclosures/search
      description: |-
        List judicial financial disclosures, optionally filtered by judge

        **Price:** 1 credit per 20 results
      operationId: __api_courtlistener_financial_disclosures_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/CourtlistenerFinancialDisclosuresSearchPayload
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CourtlistenerFinancialDisclosure'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CourtlistenerFinancialDisclosuresSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        person:
          anyOf:
            - type: integer
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    CourtlistenerFinancialDisclosure:
      properties:
        '@type':
          type: string
          default: CourtlistenerFinancialDisclosure
        id:
          type: integer
        person_id:
          anyOf:
            - type: string
            - type: 'null'
        year:
          anyOf:
            - type: integer
            - type: 'null'
        report_type:
          anyOf:
            - type: integer
            - type: 'null'
        page_count:
          anyOf:
            - type: integer
            - type: 'null'
        document_url:
          anyOf:
            - type: string
            - type: 'null'
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
        sha1:
          anyOf:
            - type: string
            - type: 'null'
        is_amended:
          type: boolean
          default: false
        addendum:
          anyOf:
            - type: string
            - type: 'null'
        addendum_redacted:
          type: boolean
          default: false
        has_been_extracted:
          type: boolean
          default: false
        agreements:
          items:
            $ref: '#/components/schemas/CourtlistenerFdAgreement'
          type: array
          default: []
        debts:
          items:
            $ref: '#/components/schemas/CourtlistenerFdDebt'
          type: array
          default: []
        gifts:
          items:
            $ref: '#/components/schemas/CourtlistenerFdGift'
          type: array
          default: []
        investments:
          items:
            $ref: '#/components/schemas/CourtlistenerFdInvestment'
          type: array
          default: []
        non_investment_incomes:
          items:
            $ref: '#/components/schemas/CourtlistenerFdNonInvestmentIncome'
          type: array
          default: []
        positions:
          items:
            $ref: '#/components/schemas/CourtlistenerFdPosition'
          type: array
          default: []
        reimbursements:
          items:
            $ref: '#/components/schemas/CourtlistenerFdReimbursement'
          type: array
          default: []
        spouse_incomes:
          items:
            $ref: '#/components/schemas/CourtlistenerFdSpouseIncome'
          type: array
          default: []
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CourtlistenerFdAgreement:
      properties:
        '@type':
          type: string
          default: CourtlistenerFdAgreement
        id:
          type: integer
        date_raw:
          anyOf:
            - type: string
            - type: 'null'
        parties_and_terms:
          anyOf:
            - type: string
            - type: 'null'
        redacted:
          type: boolean
          default: false
      type: object
      required:
        - id
    CourtlistenerFdDebt:
      properties:
        '@type':
          type: string
          default: CourtlistenerFdDebt
        id:
          type: integer
        creditor_name:
          anyOf:
            - type: string
            - type: 'null'
        value_code:
          anyOf:
            - type: string
            - type: 'null'
        redacted:
          type: boolean
          default: false
      type: object
      required:
        - id
    CourtlistenerFdGift:
      properties:
        '@type':
          type: string
          default: CourtlistenerFdGift
        id:
          type: integer
        source:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: string
            - type: 'null'
        redacted:
          type: boolean
          default: false
      type: object
      required:
        - id
    CourtlistenerFdInvestment:
      properties:
        '@type':
          type: string
          default: CourtlistenerFdInvestment
        id:
          type: integer
        page_number:
          anyOf:
            - type: integer
            - type: 'null'
        gross_value_code:
          anyOf:
            - type: string
            - type: 'null'
        gross_value_method:
          anyOf:
            - type: string
            - type: 'null'
        income_code:
          anyOf:
            - type: string
            - type: 'null'
        income_type:
          anyOf:
            - type: string
            - type: 'null'
        transaction_type:
          anyOf:
            - type: string
            - type: 'null'
        transaction_date_raw:
          anyOf:
            - type: string
            - type: 'null'
        transaction_value_code:
          anyOf:
            - type: string
            - type: 'null'
        transaction_gain_code:
          anyOf:
            - type: string
            - type: 'null'
        transaction_partner:
          anyOf:
            - type: string
            - type: 'null'
        redacted:
          type: boolean
          default: false
        transaction_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    CourtlistenerFdNonInvestmentIncome:
      properties:
        '@type':
          type: string
          default: CourtlistenerFdNonInvestmentIncome
        id:
          type: integer
        date_raw:
          anyOf:
            - type: string
            - type: 'null'
        source_type:
          anyOf:
            - type: string
            - type: 'null'
        income_amount:
          anyOf:
            - type: string
            - type: 'null'
        redacted:
          type: boolean
          default: false
      type: object
      required:
        - id
    CourtlistenerFdPosition:
      properties:
        '@type':
          type: string
          default: CourtlistenerFdPosition
        id:
          type: integer
        position:
          anyOf:
            - type: string
            - type: 'null'
        organization_name:
          anyOf:
            - type: string
            - type: 'null'
        redacted:
          type: boolean
          default: false
      type: object
      required:
        - id
    CourtlistenerFdReimbursement:
      properties:
        '@type':
          type: string
          default: CourtlistenerFdReimbursement
        id:
          type: integer
        source:
          anyOf:
            - type: string
            - type: 'null'
        date_raw:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        purpose:
          anyOf:
            - type: string
            - type: 'null'
        items_paid_or_provided:
          anyOf:
            - type: string
            - type: 'null'
        redacted:
          type: boolean
          default: false
      type: object
      required:
        - id
    CourtlistenerFdSpouseIncome:
      properties:
        '@type':
          type: string
          default: CourtlistenerFdSpouseIncome
        id:
          type: integer
        source_type:
          anyOf:
            - type: string
            - type: 'null'
        date_raw:
          anyOf:
            - type: string
            - type: 'null'
        redacted:
          type: boolean
          default: false
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````